/* 
 * This testcase shows that, a VIEW/DISPLAY call will hide the other frames
 * only if the frame is marked as CAN-HIDE (it is the first call in this iteration).
 */
def var selection as char.
message "execute CHOICE block ?" update l as logical.
PROC: 
repeat: 

   do:

    display today format "99/99/9999" space(16) 
            "ITEM/VENDOR CROSS REFERENCE" space(19)
            string(time, "HH:MM:SS") 
            with frame f-hdr row 1 no-box.

    OUTER-LOOP: 
    repeat on error undo, retry with frame f-item-v:

        if l then
            CHOICE: 
            repeat on endkey undo CHOICE, leave PROC:
              hide message.
              message
            "(N)xt (P)rv (U)pdate (A)dd (F)nd (D)el (O)utput (L)st (1)POItem (R)eturn".
              message "VIEW:  (V)endors: " update selection auto-return.
      
              selection = caps(selection).
              if index("NPUAFDOLRV1",selection) <> 0 
              then 
                leave CHOICE.
              message " '" + selection + 
                      "' WAS NOT A VALID CHOICE - PLEASE TRY AGAIN".    
            end. /* CHOICE */

        message "LIST: (I)tems of vendor (V)endors of item    (R)eturn:"
        update selection auto-return.
        display today format "99/99/9999" space(17) 
                "LISTING OF ITEM'S VENDORS" space(20)
                string(time, "HH:MM:SS") with frame f-hdr3 row 1 no-box.
        
        view frame f-hdr.
        next OUTER-LOOP.

    end. /* OUTER-LOOP  */

   end.

end. /* PROC        */
hide message.
