

/*

 tab order test 

initial tab order:         1 - Exit 
after press Enter on 1:    2 - Exit - 1
after press Enter on 2:    2 - 3 - Print - Exit - 1

*/

define         variable cur-crew-code  as integer label "3"         no-undo.
define         variable cur-eff-date   as date label "1" init today no-undo.
define         variable cur-type       as char format "x(8)" label "2" view-as combo-box
                                       list-item-pairs "ALL","ALL",
                                                       "ATA","ATA",
                                                       "CERT","CERT",
                                                       "CUST","CUS",
                                                       "FAM","FAM",
                                                       "TIMED","TIM" no-undo.

def button bPrint label "Print".
def button bExit label "Exit".

def frame fRoster
    cur-eff-date    at 1
    cur-type        at 1
    cur-crew-code   at 1
    bPrint          at 1
    bExit
    with
        side-labels.

enable cur-eff-date bExit with frame fRoster.

display
    cur-crew-code
    cur-eff-date
    with frame fRoster.

ON 'enter':U OF cur-eff-date in frame fRoster
DO:
    enable cur-eff-date cur-type bExit with frame fRoster.
    RETURN.
END.

ON 'value-changed':U, 'enter':u OF cur-type in frame fRoster
DO:
    disable all with frame fRoster.
    enable all with frame fRoster.
    RETURN.
END.

wait-for close of current-window or choose of bExit.

